commit:     3629693f926f2a47c4adc08e28987bb265a7aa4a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 16 23:47:10 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Nov 16 23:48:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3629693f

media-sound/mumble: Fix remaining (style) issues from previous commit

Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-sound/mumble/mumble-9999.ebuild | 43 ++++++++++++++++-------------------
 1 file changed, 20 insertions(+), 23 deletions(-)

diff --git a/media-sound/mumble/mumble-9999.ebuild 
b/media-sound/mumble/mumble-9999.ebuild
index 48fccfb70b6..1109a96055d 100644
--- a/media-sound/mumble/mumble-9999.ebuild
+++ b/media-sound/mumble/mumble-9999.ebuild
@@ -73,23 +73,23 @@ src_prepare() {
 src_configure() {
 
        local mycmakeargs=(
-               "-Dalsa=$(usex alsa)"
-               "-DBUILD_TESTING=$(usex test)"
-               "-Dbundled-celt=ON"
-               "-Dbundled-opus=OFF"
-               "-Dbundled-speex=OFF"
-               "-Ddbus=$(usex dbus)"
-               "-Dg15=$(usex g15)"
-               "-Djackaudio=$(usex jack)"
-               "-Doverlay=ON"
-               "-Dportaudio=$(usex portaudio)"
-               "-Dpulseaudio=$(usex pulseaudio)"
-               "-Drnnoise=$(usex rnnoise)"
-               "-Dserver=OFF"
-               "-Dspeechd=$(usex speech)"
-               "-Dtranslations=$(usex nls)"
-               "-Dupdate=OFF"
-               "-Dzeroconf=$(usex zeroconf)"
+               -Dalsa="$(usex alsa)"
+               -DBUILD_TESTING="$(usex test)"
+               -Dbundled-celt="ON"
+               -Dbundled-opus="OFF"
+               -Dbundled-speex="OFF"
+               -Ddbus="$(usex dbus)"
+               -Dg15="$(usex g15)"
+               -Djackaudio="$(usex jack)"
+               -Doverlay="ON"
+               -Dportaudio="$(usex portaudio)"
+               -Dpulseaudio="$(usex pulseaudio)"
+               -Drnnoise="$(usex rnnoise)"
+               -Dserver="OFF"
+               -Dspeechd="$(usex speech)"
+               -Dtranslations="$(usex nls)"
+               -Dupdate="OFF"
+               -Dzeroconf="$(usex zeroconf)"
        )
 
        cmake_src_configure
@@ -103,8 +103,9 @@ src_install() {
                # Install it into the correct 32bit lib dir.
                local libdir_64="/usr/$(get_libdir)/mumble"
                local libdir_32="/usr/$(get_abi_var LIBDIR x86)/mumble"
-               mkdir -p ${D}/{$libdir_32} || die
-               mv ${D}/${libdir_64}/libmumbleoverlay.x86.so* 
${D}/${libdir_32}/ || die
+               dodir ${libdir_32}
+               mv "${ED}"/${libdir_64}/libmumbleoverlay.x86.so* \
+                       "${ED}"/${libdir_32}/ || die
        fi
 }
 
@@ -115,7 +116,3 @@ pkg_postinst() {
        elog "Run 'mumble-overlay <program>' to start the OpenGL overlay (after 
starting mumble)."
        echo
 }
-
-pkg_postrm() {
-       xdg_pkg_postrm
-}

Reply via email to